API referenceLogs
List Events
GET
/api/v1/servers/{guild}/journalAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Query Parameters
kind?string
Value in
- "message_edit"
- "message_delete"
- "message_bulk_delete"
- "member_join"
- "member_leave"
- "member_kick"
- "member_ban"
- "member_unban"
- "member_timeout"
- "member_roles"
- "member_nickname"
- "member_prune"
- "bot_add"
- "channel_create"
- "channel_update"
- "channel_delete"
- "overwrite_update"
- "role_create"
- "role_update"
- "role_delete"
- "guild_update"
- "webhook_create"
- "webhook_delete"
- "expression_create"
- "expression_update"
- "expression_delete"
- "verify"
- "forum_status"
- "settings_update"
- "antinuke_response"
actor?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$target?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$channel?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$before?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/servers/string/journal"{ "events": [ { "id": "string", "guild": "string", "kind": "message_edit", "actor": "string", "actorName": "string", "viaInvarn": true, "target": "string", "targetName": "string", "channel": "string", "data": {}, "undoneBy": "string", "undoneAt": "2019-08-24T14:15:22Z", "undoneAs": "string" } ]}